# 风险通知
商户准备接口接收风险通知，DHpay发送POST请求到商户的通知地址，商户端以URL中的签名验证接口权限

#### 请求参数

| 参数       | 类型    | 是否必填 | 备注                   |
| ---------- | ------- | -------- | ---------------------- |
| invoice_id | varchar | 是       | 商户端交易ID           |
| order_no   | varchar | 是       | 商户端订单ID           |
| currency   | varchar | 是       | 交易币种               |
| amout      | varchar | 是       | 交易金额，包含两位小数 |
| risk_rules | varchar | 是       | 触发的规则集           |
| signature  | varchar | 是       | 签名                   |

请求示例

> URL: http://www.notifyUrl.com?signature=ZZXX_signature_SSSEEEE

```json
{
    "invoice_id": "921499",
    "order_no": "20180919000023963171",
    "currency":"USD"
    "amount": "20.85"
    "risk_rules": [
            {"id":"1","rule":"规则描述"},
            {"id":"2","rule":"规则描述2"}
        ]
}
```

#### 响应参数

| 参数     | 类型    | 长度 | 备注                                                         |
| -------- | ------- | ---- | ------------------------------------------------------------ |
| res_code | varchar | 10   | 00成功；01交易不存在；02参数错误；03系统内部错误；04签名验证失败 |
| res_msg  | varchar | 50   | 无                                                           |

响应示例

```json
{
    "res_code": "00",
    "res_msg": "操作成功"
}
```

> 收到商户端00响应后则不再通知